{#
  hrtPagination()
  Next and previous pagination links for pages in a sequence

  params:
  previousLabel: string
  nextLabel: string
  nextPage: {
    title: string,
    path: string
  }
  previousPage: {
    title: string,
    path: string
  }
#}
{% macro hrtPagination(params) %}
  <div class ="c-hrt-pagination">
    {% if params.previousPage %}
      {{ hrtPaginationLink({
        direction: 'previous',
        directionLabel: params.previousLabel,
        title: params.previousPage.title,
        path: params.previousPage.path
      }) }}
    {% endif %}
    {% if params.nextPage %}
      {{ hrtPaginationLink({
        direction: 'next',
        directionLabel: params.nextLabel,
        title: params.nextPage.title,
        path: params.nextPage.path
      }) }}
    {% endif %}
  </div>
{% endmacro %}

{#
  hrtPaginationLink()
  Link for next and previous navigation

  params:
  direction: string (previous | next)
  directionLabel: string
  title: string
  path: string
#}
{% macro hrtPaginationLink(params) %}
  <a href="{{ params.path }}" class="c-hrt-pagination__link c-hrt-pagination__link--{{ params.direction }}">
    <span class="c-hrt-pagination__link__icon">
      {% include "../partials/icons/arrow-" + params.direction + ".njk" %}
    </span>
    <span class="c-hrt-pagination__link__direction">{{ params.directionLabel }}</span>
    <span class="c-hrt-pagination__link__label">{{ params.title }}</span>
  </a>
{% endmacro %}
